<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ItemSupplyPlanSearchBasic StructType
 * @subpackage Structs
 */
class ItemSupplyPlanSearchBasic extends SearchRecordBasic
{
    /**
     * The externalId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $externalId;
    /**
     * The externalIdString
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $externalIdString;
    /**
     * The internalId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $internalId;
    /**
     * The internalIdNumber
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchLongField
     */
    public $internalIdNumber;
    /**
     * The item
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $item;
    /**
     * The lastModifiedDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDateField
     */
    public $lastModifiedDate;
    /**
     * The location
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $location;
    /**
     * The memo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchStringField
     */
    public $memo;
    /**
     * The orderCreated
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchBooleanField
     */
    public $orderCreated;
    /**
     * The orderDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDateField
     */
    public $orderDate;
    /**
     * The orderType
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $orderType;
    /**
     * The quantity
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDoubleField
     */
    public $quantity;
    /**
     * The receiptDate
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchDateField
     */
    public $receiptDate;
    /**
     * The subsidiary
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $subsidiary;
    /**
     * The units
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchMultiSelectField
     */
    public $units;
    /**
     * The customFieldList
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SearchCustomFieldList
     */
    public $customFieldList;
    /**
     * Constructor method for ItemSupplyPlanSearchBasic
     * @uses ItemSupplyPlanSearchBasic::setExternalId()
     * @uses ItemSupplyPlanSearchBasic::setExternalIdString()
     * @uses ItemSupplyPlanSearchBasic::setInternalId()
     * @uses ItemSupplyPlanSearchBasic::setInternalIdNumber()
     * @uses ItemSupplyPlanSearchBasic::setItem()
     * @uses ItemSupplyPlanSearchBasic::setLastModifiedDate()
     * @uses ItemSupplyPlanSearchBasic::setLocation()
     * @uses ItemSupplyPlanSearchBasic::setMemo()
     * @uses ItemSupplyPlanSearchBasic::setOrderCreated()
     * @uses ItemSupplyPlanSearchBasic::setOrderDate()
     * @uses ItemSupplyPlanSearchBasic::setOrderType()
     * @uses ItemSupplyPlanSearchBasic::setQuantity()
     * @uses ItemSupplyPlanSearchBasic::setReceiptDate()
     * @uses ItemSupplyPlanSearchBasic::setSubsidiary()
     * @uses ItemSupplyPlanSearchBasic::setUnits()
     * @uses ItemSupplyPlanSearchBasic::setCustomFieldList()
     * @param \StructType\SearchMultiSelectField $externalId
     * @param \StructType\SearchStringField $externalIdString
     * @param \StructType\SearchMultiSelectField $internalId
     * @param \StructType\SearchLongField $internalIdNumber
     * @param \StructType\SearchMultiSelectField $item
     * @param \StructType\SearchDateField $lastModifiedDate
     * @param \StructType\SearchMultiSelectField $location
     * @param \StructType\SearchStringField $memo
     * @param \StructType\SearchBooleanField $orderCreated
     * @param \StructType\SearchDateField $orderDate
     * @param \StructType\SearchMultiSelectField $orderType
     * @param \StructType\SearchDoubleField $quantity
     * @param \StructType\SearchDateField $receiptDate
     * @param \StructType\SearchMultiSelectField $subsidiary
     * @param \StructType\SearchMultiSelectField $units
     * @param \StructType\SearchCustomFieldList $customFieldList
     */
    public function __construct(\StructType\SearchMultiSelectField $externalId = null, \StructType\SearchStringField $externalIdString = null, \StructType\SearchMultiSelectField $internalId = null, \StructType\SearchLongField $internalIdNumber = null, \StructType\SearchMultiSelectField $item = null, \StructType\SearchDateField $lastModifiedDate = null, \StructType\SearchMultiSelectField $location = null, \StructType\SearchStringField $memo = null, \StructType\SearchBooleanField $orderCreated = null, \StructType\SearchDateField $orderDate = null, \StructType\SearchMultiSelectField $orderType = null, \StructType\SearchDoubleField $quantity = null, \StructType\SearchDateField $receiptDate = null, \StructType\SearchMultiSelectField $subsidiary = null, \StructType\SearchMultiSelectField $units = null, \StructType\SearchCustomFieldList $customFieldList = null)
    {
        $this
            ->setExternalId($externalId)
            ->setExternalIdString($externalIdString)
            ->setInternalId($internalId)
            ->setInternalIdNumber($internalIdNumber)
            ->setItem($item)
            ->setLastModifiedDate($lastModifiedDate)
            ->setLocation($location)
            ->setMemo($memo)
            ->setOrderCreated($orderCreated)
            ->setOrderDate($orderDate)
            ->setOrderType($orderType)
            ->setQuantity($quantity)
            ->setReceiptDate($receiptDate)
            ->setSubsidiary($subsidiary)
            ->setUnits($units)
            ->setCustomFieldList($customFieldList);
    }
    /**
     * Get externalId value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getExternalId()
    {
        return $this->externalId;
    }
    /**
     * Set externalId value
     * @param \StructType\SearchMultiSelectField $externalId
     * @return \StructType\ItemSupplyPlanSearchBasic
     */
    public function setExternalId(\StructType\SearchMultiSelectField $externalId = null)
    {
        $this->externalId = $externalId;
        return $this;
    }
    /**
     * Get externalIdString value
     * @return \StructType\SearchStringField|null
     */
    public function getExternalIdString()
    {
        return $this->externalIdString;
    }
    /**
     * Set externalIdString value
     * @param \StructType\SearchStringField $externalIdString
     * @return \StructType\ItemSupplyPlanSearchBasic
     */
    public function setExternalIdString(\StructType\SearchStringField $externalIdString = null)
    {
        $this->externalIdString = $externalIdString;
        return $this;
    }
    /**
     * Get internalId value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getInternalId()
    {
        return $this->internalId;
    }
    /**
     * Set internalId value
     * @param \StructType\SearchMultiSelectField $internalId
     * @return \StructType\ItemSupplyPlanSearchBasic
     */
    public function setInternalId(\StructType\SearchMultiSelectField $internalId = null)
    {
        $this->internalId = $internalId;
        return $this;
    }
    /**
     * Get internalIdNumber value
     * @return \StructType\SearchLongField|null
     */
    public function getInternalIdNumber()
    {
        return $this->internalIdNumber;
    }
    /**
     * Set internalIdNumber value
     * @param \StructType\SearchLongField $internalIdNumber
     * @return \StructType\ItemSupplyPlanSearchBasic
     */
    public function setInternalIdNumber(\StructType\SearchLongField $internalIdNumber = null)
    {
        $this->internalIdNumber = $internalIdNumber;
        return $this;
    }
    /**
     * Get item value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getItem()
    {
        return $this->item;
    }
    /**
     * Set item value
     * @param \StructType\SearchMultiSelectField $item
     * @return \StructType\ItemSupplyPlanSearchBasic
     */
    public function setItem(\StructType\SearchMultiSelectField $item = null)
    {
        $this->item = $item;
        return $this;
    }
    /**
     * Get lastModifiedDate value
     * @return \StructType\SearchDateField|null
     */
    public function getLastModifiedDate()
    {
        return $this->lastModifiedDate;
    }
    /**
     * Set lastModifiedDate value
     * @param \StructType\SearchDateField $lastModifiedDate
     * @return \StructType\ItemSupplyPlanSearchBasic
     */
    public function setLastModifiedDate(\StructType\SearchDateField $lastModifiedDate = null)
    {
        $this->lastModifiedDate = $lastModifiedDate;
        return $this;
    }
    /**
     * Get location value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getLocation()
    {
        return $this->location;
    }
    /**
     * Set location value
     * @param \StructType\SearchMultiSelectField $location
     * @return \StructType\ItemSupplyPlanSearchBasic
     */
    public function setLocation(\StructType\SearchMultiSelectField $location = null)
    {
        $this->location = $location;
        return $this;
    }
    /**
     * Get memo value
     * @return \StructType\SearchStringField|null
     */
    public function getMemo()
    {
        return $this->memo;
    }
    /**
     * Set memo value
     * @param \StructType\SearchStringField $memo
     * @return \StructType\ItemSupplyPlanSearchBasic
     */
    public function setMemo(\StructType\SearchStringField $memo = null)
    {
        $this->memo = $memo;
        return $this;
    }
    /**
     * Get orderCreated value
     * @return \StructType\SearchBooleanField|null
     */
    public function getOrderCreated()
    {
        return $this->orderCreated;
    }
    /**
     * Set orderCreated value
     * @param \StructType\SearchBooleanField $orderCreated
     * @return \StructType\ItemSupplyPlanSearchBasic
     */
    public function setOrderCreated(\StructType\SearchBooleanField $orderCreated = null)
    {
        $this->orderCreated = $orderCreated;
        return $this;
    }
    /**
     * Get orderDate value
     * @return \StructType\SearchDateField|null
     */
    public function getOrderDate()
    {
        return $this->orderDate;
    }
    /**
     * Set orderDate value
     * @param \StructType\SearchDateField $orderDate
     * @return \StructType\ItemSupplyPlanSearchBasic
     */
    public function setOrderDate(\StructType\SearchDateField $orderDate = null)
    {
        $this->orderDate = $orderDate;
        return $this;
    }
    /**
     * Get orderType value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getOrderType()
    {
        return $this->orderType;
    }
    /**
     * Set orderType value
     * @param \StructType\SearchMultiSelectField $orderType
     * @return \StructType\ItemSupplyPlanSearchBasic
     */
    public function setOrderType(\StructType\SearchMultiSelectField $orderType = null)
    {
        $this->orderType = $orderType;
        return $this;
    }
    /**
     * Get quantity value
     * @return \StructType\SearchDoubleField|null
     */
    public function getQuantity()
    {
        return $this->quantity;
    }
    /**
     * Set quantity value
     * @param \StructType\SearchDoubleField $quantity
     * @return \StructType\ItemSupplyPlanSearchBasic
     */
    public function setQuantity(\StructType\SearchDoubleField $quantity = null)
    {
        $this->quantity = $quantity;
        return $this;
    }
    /**
     * Get receiptDate value
     * @return \StructType\SearchDateField|null
     */
    public function getReceiptDate()
    {
        return $this->receiptDate;
    }
    /**
     * Set receiptDate value
     * @param \StructType\SearchDateField $receiptDate
     * @return \StructType\ItemSupplyPlanSearchBasic
     */
    public function setReceiptDate(\StructType\SearchDateField $receiptDate = null)
    {
        $this->receiptDate = $receiptDate;
        return $this;
    }
    /**
     * Get subsidiary value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getSubsidiary()
    {
        return $this->subsidiary;
    }
    /**
     * Set subsidiary value
     * @param \StructType\SearchMultiSelectField $subsidiary
     * @return \StructType\ItemSupplyPlanSearchBasic
     */
    public function setSubsidiary(\StructType\SearchMultiSelectField $subsidiary = null)
    {
        $this->subsidiary = $subsidiary;
        return $this;
    }
    /**
     * Get units value
     * @return \StructType\SearchMultiSelectField|null
     */
    public function getUnits()
    {
        return $this->units;
    }
    /**
     * Set units value
     * @param \StructType\SearchMultiSelectField $units
     * @return \StructType\ItemSupplyPlanSearchBasic
     */
    public function setUnits(\StructType\SearchMultiSelectField $units = null)
    {
        $this->units = $units;
        return $this;
    }
    /**
     * Get customFieldList value
     * @return \StructType\SearchCustomFieldList|null
     */
    public function getCustomFieldList()
    {
        return $this->customFieldList;
    }
    /**
     * Set customFieldList value
     * @param \StructType\SearchCustomFieldList $customFieldList
     * @return \StructType\ItemSupplyPlanSearchBasic
     */
    public function setCustomFieldList(\StructType\SearchCustomFieldList $customFieldList = null)
    {
        $this->customFieldList = $customFieldList;
        return $this;
    }
}
